use std::process::Command;

use crate::git::cli::GitCli;

impl GitCli {
    /// Check if delta is available on the system.
    pub fn has_delta(&self) -> bool {
        Command::new("which")
            .arg("delta")
            .output()
            .map(|o| o.status.success())
            .unwrap_or(false)
    }

}
